Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.protocol.xocp.application
Class XOCPApplication

    java.lang.Object
      |
      +--com.bea.b2b.protocol.xocp.application.XOCPApplication

Deprecated. The XOCPApplication class represents a XOCP-Application node.

public class XOCPApplication
extends java.lang.Object

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Inner Class Summary
`static interface` | `XOCPApplication.InitException` Deprecated. An InitException is thrown if XOCPApplication initialization fails.
`static interface` | `XOCPApplication.ShutDownException` Deprecated. A ShutDownException is thrown if XOCPApplication shutdown fails.

Method Summary
`java.lang.String` | `getName()` Deprecated. Gets the name of this XOCPApplication node.
`static XOCPApplication` | `getXOCPApplication(java.lang.String XOCPApplicationName)` Deprecated. Creates or gets an XOCPApplication object with the specified XOCPApplication name.
`XOCPApplicationSession` | `getXOCPApplicationSession(java.lang.String tradingPartnerName, java.lang.String deliveryChannelName)` Deprecated. Gets an XOCPApplicationSession with the specified Trading Partner name and the associated Delivery Channel name and, if required, creates an XOCP application session.
`XOCPApplicationSession[]` | `getXOCPApplicationSessions()` Deprecated. Gets all the XOCPApplicationSession objects for this XOCPApplication.
`boolean` | `isShuttingDown()` Deprecated. Determines whether this XOCPApplication node is shutting down (true) or not (false).
`void` | `shutDown()` Deprecated. Shuts down this XOCPApplication, including all of the active XOCP application sessions associated with this XOCPApplication.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getXOCPApplication

    public static XOCPApplication getXOCPApplication(java.lang.String XOCPApplicationName)
                                              throws XOCPApplication.InitException

  Deprecated.
  Creates or gets an XOCPApplication object with the specified XOCPApplication name.

  Parameters:
    `XOCPApplicationName` - Name of the XOCPApplication.
  Returns:
    XOCPApplication - XOCPApplication node.
  Throws:
    XOCPApplication.InitException - If an error occurred during XOCPApplication initialization.

### getName

    public java.lang.String getName()

  Deprecated.
  Gets the name of this XOCPApplication node.

  Returns:
    String - XOCPApplication name.

### getXOCPApplicationSessions

    public XOCPApplicationSession[] getXOCPApplicationSessions()

  Deprecated.
  Gets all the XOCPApplicationSession objects for this XOCPApplication.

  Returns:
    XOCPApplicationSession[] - Array of XOCPApplication sessions.

### getXOCPApplicationSession

    public XOCPApplicationSession getXOCPApplicationSession(java.lang.String tradingPartnerName,
                                                            java.lang.String deliveryChannelName)
                                                     throws XOCPApplicationSession.InitException

  Deprecated.
  Gets an XOCPApplicationSession with the specified Trading Partner name and the associated Delivery Channel name and, if required, creates an XOCP application session.

  Parameters:
    `tradingPartnerName` - Name of the Trading Partner
    `deliveryChannelName` - Name of the Delivery Channel
  Returns:
    XOCPApplicationSession - XOCP application session.
  Throws:
    XOCPApplicationSession.InitException - If error occurred during XOCP application session initialization.

### isShuttingDown

    public boolean isShuttingDown()

  Deprecated.
  Determines whether this XOCPApplication node is shutting down (true) or not (false).

  Returns:
    boolean - true if this XOCPApplication is shutting down, or false if not.

### shutDown

    public void shutDown()
                  throws XOCPApplication.ShutDownException,
                         B2BException

  Deprecated.
  Shuts down this XOCPApplication, including all of the active XOCP application sessions associated with this XOCPApplication.

  Throws:
    XOCPApplication.ShutDownException - If shutdown fails.
    B2BException - If an error occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)